import request from '/@/utils/request'

// 查询部门列表
export function listDept(params?: any) {
  return request({
    url: '/system/dept/list',
    method: 'get',
    params,
  })
}

export function getList(params?: any) {
  return request({
    url: '/departmentManagement/getList',
    method: 'get',
    params,
  })
}

/** 新增部门 */
export const doAdd = (data: any) => {
  return request({
    url: '/system/dept',
    method: 'post',
    data,
  })
}

/** 修改部门 */
export const doEdit = (data: any) => {
  return request({
    url: '/system/dept',
    method: 'put',
    data,
  })
}

/** 删除部门 */
export const doDelete = (deptId: any) => {
  return request({
    url: `/system/dept/${deptId}`,
    method: 'delete',
  })
}

// 查询部门详细
export function getDept(deptId: any) {
  return request({
    url: `/system/dept/${deptId}`,
    method: 'get',
  })
}

// 查询部门列表（排除节点）
export function listDeptExcludeChild(deptId: any) {
  return request({
    url: `/system/dept/list/exclude/${deptId}`,
    method: 'get',
  })
}

// 查询部门下拉树结构
export function deptTreeSelect() {
  return request({
    url: '/system/user/deptTree',
    method: 'get',
  })
}
